Skip to main content
POST
Master Wallet Get Quote
For customer identity, session binding, onboarding recovery and fee semantics, see Customer fiat flows.

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
accountIdentifier
string
required

destination bank account identifier

Example:

"9000000012"

amount
number
required

amount to withdraw in asset units

Example:

0.5

assetId
string
required

asset ID of the stablecoin to withdraw

Example:

"37079b6b-b74f-48e9-a394-9a5cbae88f12"

currency
string
required

destination fiat currency code

Example:

"NGN"

institutionIdentifier
string
required

bank or institution identifier code

Example:

"OPAYNGPC"

customerId
string<uuid>

Optional existing active customer owned by the authenticated business. Omit for the business-owned flow. Start a new session to change customer identity.

Response

200

data
object
message
string
Example:

"Successful"

status
boolean
Example:

true